Subject: bug#69837: 29.2; vtable-update-object only works in visible windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Mar 2024 08:25:46 +0200

> Date: Sat, 16 Mar 2024 22:41:37 -0500
> From: Adam Porter <[email-masked]>
> 
> I've discovered that `vtable-update-object' only works in buffers that 
> are in visible windows.  When trying to update vtables in buffers that 
> aren't, the object being updated or replaced fails to be found in the 
> cache, apparently because `vtable--cache-key' uses `window-width' in its 
> value (so maybe if, when the vtable buffer is not visible, the selected 
> window happens to have the same width as the window in which the vtable 
> buffer was previously displayed, it will work by chance).

Does using with-selected-window help to solve the issue?

If not, can you show a recipe, starting from "emacs -Q", that
reproduces the problem, so we could study it in more detail?